# PrimitiveIdentifierList Class Reference
[Base data types used in Form]

Inheritance diagram for PrimitiveIdentifierList:
[legend]

List of all members.

## Public Member Functions

| clean ()
| setValue ($value)
| importValue ($value)
| import ($scope)
| exportValue ()
| setIgnoreEmpty ($orly=true)
| isIgnoreEmpty ()

## Protected Attributes

| $value = array()

## Private Attributes

| $ignoreEmpty = false

## Detailed Description

Definition at line 15 of file PrimitiveIdentifierList.class.php.

## Member Function Documentation

PrimitiveIdentifierList::clean | ( |  | ) |

Returns:
  PrimitiveIdentifierList

Reimplemented from BasePrimitive.

Definition at line 23 of file PrimitiveIdentifierList.class.php.

PrimitiveIdentifierList::exportValue | ( |  | ) |

Reimplemented from IdentifiablePrimitive.

Definition at line 131 of file PrimitiveIdentifierList.class.php.

References ArrayUtils::getIdsArray().

Here is the call graph for this function:

PrimitiveIdentifierList::import | ( | $ | scope | ) |

Reimplemented from PrimitiveIdentifier.

Definition at line 87 of file PrimitiveIdentifierList.class.php.

References Assert::checkInteger(), Assert::checkScalar(), PrimitiveIdentifier::dao(), BasePrimitive::import(), and isIgnoreEmpty().

Here is the call graph for this function:

PrimitiveIdentifierList::importValue | ( | $ | value | ) |

Reimplemented from PrimitiveIdentifier.

Definition at line 48 of file PrimitiveIdentifierList.class.php.

References $value, ArrayUtils::getIdsArray(), Assert::isInteger(), and Assert::isScalar().

Here is the call graph for this function:

PrimitiveIdentifierList::isIgnoreEmpty | ( |  | ) |

Definition at line 146 of file PrimitiveIdentifierList.class.php.

Referenced by import().

PrimitiveIdentifierList::setIgnoreEmpty | ( | $ | orly = `true` | ) |

Definition at line 139 of file PrimitiveIdentifierList.class.php.

PrimitiveIdentifierList::setValue | ( | $ | value | ) |

Returns:
  PrimitiveIdentifierList

Reimplemented from IdentifiablePrimitive.

Definition at line 36 of file PrimitiveIdentifierList.class.php.

References $value, Assert::isArray(), and Assert::isInstance().

Here is the call graph for this function:

## Member Data Documentation

PrimitiveIdentifierList::$ignoreEmpty = false`[private]`

Definition at line 18 of file PrimitiveIdentifierList.class.php.

PrimitiveIdentifierList::$value = array()`[protected]`

Reimplemented from BasePrimitive.

Definition at line 17 of file PrimitiveIdentifierList.class.php.

Referenced by importValue(), and setValue().

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveIdentifierList.class.php